Множественные уязвимости в LoveCMS

Дата публикации:
27.02.2007
Дата изменения:
27.02.2007
Всего просмотров:
1143
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1150
CVE-2007-1151
CVE-2007-1148
CVE-2007-1149
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LoveCMS 1.x
Уязвимые версии: LoveCMS 1.4.1, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "load" в сценарии index.php. Удаленный пользователь может с помощью символов обхода каталога просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должны быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии modules/content/script.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Злоумышленник может также выполнить произвольный HTML код и код сценария в браузере жертвы посредством сообщений об SQL ошибках.

URL производителя: xoops.specialci.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA